---
title: "Get personal merchant account"
url: "https://docs.signnow.com/docs/request-payments/operations/get-v2-merchant-accounts"
type: "endpoint"
section: "request-payments"
slug: "request-payments/operations/get-v2-merchant-accounts"
method: "GET"
path: "/v2/merchant-accounts/{merchant_account_id}"
operation_id: "get-v2-merchant-accounts"
authorization: "bearer"
---

# Get personal merchant account

`GET /v2/merchant-accounts/{merchant_account_id}`

This endpoint allows API users to retrieve details about their connected payment account(s).

If you use the request without `merchant_account_id`, you will retrieve all connected payment accounts for the user.



## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `merchant_account_id` | string | Yes | ID of the connected payment account. |

## Responses

### 200

Returns details of the connected payment account in case of successful response.

**Example** (`Example 1`)

```json
{
  "data": {
    "id": "XXXXadb11c8c4658bc2170ded433617b237233ba",
    "active": true,
    "created": 1761755047,
    "updated": 1761755047,
    "currency": "USD",
    "secure_key": "********yyyy",
    "entity_type": "user",
    "currency_name": "US Dollar",
    "merchant_type": "Stripe",
    "publishable_key": "********iYYY",
    "display_ach_form": false,
    "merchant_account_name": "Stripe 1",
    "display_credit_card_form": true
  }
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/merchant-accounts/{merchant_account_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/request-payments/operations/get-v2-merchant-accounts*
